org.apache.catalina.util

## Class DateTool

- java.lang.Object
- - org.apache.catalina.util.DateTool

- Deprecated.
  Mostly unused and will be removed in 8.0.x onwards

      @Deprecated
      public class DateTool
      extends Object

  Common place for date utils.
  Author:
    dac@eng.sun.com, Jason Hunter [jch@eng.sun.com], James Todd [gonzo@eng.sun.com], Costin Manolache, fhanik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ThreadLocal<DateFormat>` | `asctimeFormat` Deprecated.
    `static TimeZone` | `GMT_ZONE` Deprecated. GMT timezone - all HTTP dates are on GMT
    `static String` | `HTTP_RESPONSE_DATE_HEADER` Deprecated. Format for http response header date field
    `static Locale` | `LOCALE_US` Deprecated. Use `Locale.US`
    `static String` | `OLD_COOKIE_PATTERN` Deprecated. Pattern used for old cookies
    `static ThreadLocal<DateFormat>` | `oldCookieFormat` Deprecated. DateFormat to be used to format old netscape cookies
    `static ThreadLocal<DateFormat>` | `rfc1036Format` Deprecated.
    `static String` | `RFC1123_PATTERN` Deprecated. format for RFC 1123 date string -- "Sun, 06 Nov 1994 08:49:37 GMT"
    `static ThreadLocal<DateFormat>` | `rfc1123Format` Deprecated. DateFormat to be used to format dates

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTool()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOCALE_US

          @Deprecated
          public static final Locale LOCALE_US

      Deprecated. Use `Locale.US`
      US locale - all HTTP dates are in English

    - #### GMT_ZONE

          public static final TimeZone GMT_ZONE

      Deprecated.
      GMT timezone - all HTTP dates are on GMT

    - #### RFC1123_PATTERN

          public static final String RFC1123_PATTERN

      Deprecated.
      format for RFC 1123 date string -- "Sun, 06 Nov 1994 08:49:37 GMT"
      See Also:
        Constant Field Values

    - #### HTTP_RESPONSE_DATE_HEADER

          public static final String HTTP_RESPONSE_DATE_HEADER

      Deprecated.
      Format for http response header date field
      See Also:
        Constant Field Values

    - #### OLD_COOKIE_PATTERN

          public static final String OLD_COOKIE_PATTERN

      Deprecated.
      Pattern used for old cookies
      See Also:
        Constant Field Values

    - #### rfc1123Format

          public static final ThreadLocal<DateFormat> rfc1123Format

      Deprecated.
      DateFormat to be used to format dates

    - #### oldCookieFormat

          public static final ThreadLocal<DateFormat> oldCookieFormat

      Deprecated.
      DateFormat to be used to format old netscape cookies

    - #### rfc1036Format

          public static final ThreadLocal<DateFormat> rfc1036Format

      Deprecated.

    - #### asctimeFormat

          public static final ThreadLocal<DateFormat> asctimeFormat

      Deprecated.

  - ### Constructor Detail

    - #### DateTool

          public DateTool()

      Deprecated.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.